Package commoble.morered.client

# Class TintRotatingModelLoader.TintRotatingModelGeometry

java.lang.Object
net.minecraftforge.client.model.geometry.SimpleUnbakedGeometry<TintRotatingModelLoader.TintRotatingModelGeometry>
commoble.morered.client.TintRotatingModelLoader.TintRotatingModelGeometry

All Implemented Interfaces:
  `net.minecraftforge.client.model.geometry.IUnbakedGeometry<TintRotatingModelLoader.TintRotatingModelGeometry>`

Enclosing class:
  TintRotatingModelLoader

public static class TintRotatingModelLoader.TintRotatingModelGeometry extends net.minecraftforge.client.model.geometry.SimpleUnbakedGeometry<TintRotatingModelLoader.TintRotatingModelGeometry>

## Constructor Summary

Constructors
Constructor
Description
`TintRotatingModelGeometry(net.minecraftforge.client.model.ElementsModel proxy)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addQuads(net.minecraftforge.client.model.geometry.IGeometryBakingContext context, net.minecraftforge.client.model.IModelBuilder<?> modelBuilder, net.minecraft.client.resources.model.ModelBaker bakery, Function<net.minecraft.client.resources.model.Material,net.minecraft.client.renderer.texture.TextureAtlasSprite> spriteGetter, net.minecraft.client.resources.model.ModelState modelTransform, net.minecraft.resources.ResourceLocation modelLocation)`
`void`
`resolveParents(Function<net.minecraft.resources.ResourceLocation,net.minecraft.client.resources.model.UnbakedModel> modelGetter, net.minecraftforge.client.model.geometry.IGeometryBakingContext owner)`

### Methods inherited from class net.minecraftforge.client.model.geometry.SimpleUnbakedGeometry

`bake`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraftforge.client.model.geometry.IUnbakedGeometry

`getConfigurableComponentNames`

## Constructor Details

### TintRotatingModelGeometry

public TintRotatingModelGeometry(net.minecraftforge.client.model.ElementsModel proxy)

## Method Details

### addQuads

public void addQuads(net.minecraftforge.client.model.geometry.IGeometryBakingContext context, net.minecraftforge.client.model.IModelBuilder<?> modelBuilder, net.minecraft.client.resources.model.ModelBaker bakery, Function<net.minecraft.client.resources.model.Material,net.minecraft.client.renderer.texture.TextureAtlasSprite> spriteGetter, net.minecraft.client.resources.model.ModelState modelTransform, net.minecraft.resources.ResourceLocation modelLocation)

Specified by:
  `addQuads` in class `net.minecraftforge.client.model.geometry.SimpleUnbakedGeometry<TintRotatingModelLoader.TintRotatingModelGeometry>`

### resolveParents

public void resolveParents(Function<net.minecraft.resources.ResourceLocation,net.minecraft.client.resources.model.UnbakedModel> modelGetter, net.minecraftforge.client.model.geometry.IGeometryBakingContext owner)